<? 

  // include("seguridad.php");
  header('Cache-Control: no cache'); //no cache
  session_cache_limiter('private_no_expire'); // works
 session_start();

 include 'conexion.php';

 date_default_timezone_set('America/Argentina/Buenos_Aires');

 $hoy = date("Y-m-d"); 

 $id_empresa = $_SESSION["s_empresa"];

 $nombre = $_SESSION["s_nombre"];

 $usuario = $_SESSION["s_usuario"];


// aca iria lo del vector a ver si anda
$contador = count($_POST['check_lista']);
$CompSel = $_POST['check_lista'];
$Total_Pagar = 0;

if(!$_POST['check_lista']){
   echo "<script>alert('No Selecciono Ningun Registro !!')</script>"; 
   echo "<script LANGUAGE='JavaScript'>
   function redireccionar() { history.back(1); }
   setTimeout ('redireccionar()', 0);
   </script>";
}
foreach($CompSel as $seleccion) {
$porciones = explode(",", $seleccion);

$Total_Pagar += $porciones['3'];

}


 $Total_Pagar= number_format ( $Total_Pagar,2 );

if ($contador == 1){
  $mes =$porciones['2'];
  $anio =$porciones['1'];
  $id_tipo =$porciones['0'];
  $importe= $porciones['3'];
}else
{
  $mes = '13';
  $importe = $Total_Pagar;
}

               
switch ($mes) {
  case '1':
    $elmes = "Enero de " . $anio ;
    break;
  case '2':
    $elmes = "Febrero de ". $anio;
    break;
  case '3':
    $elmes = "Marzo de ". $anio;
    break;
  case '4':
    $elmes = "Abril de ". $anio;
    break;
  case '5':
    $elmes = "Mayo de ". $anio;
    break;
  case '6': 
    $elmes = "Junio de ". $anio;
    break;
  case '7': 
    $elmes = "Julio de ". $anio;
    break;
  case '8':
    $elmes = "Agosto de ". $anio;
    break;
  case '9':
    $elmes = "Septiembre de ". $anio;
    break;
  case '10':
    $elmes = "Octubre de ". $anio;
    break;
  case '11':
    $elmes = "Noviembre de ". $anio;
    break;
  case '12':
    $elmes = "Diciembre de ". $anio;
    break;                                                       
 case '13':
    $elmes = "Seleccionó ( ".$contador. " ) Períodos";
    break;  
}                                      

?>



<html>

<head>

<title>Registrar Depositos / Transferencias</title>

<meta charset="utf-8">

<meta http-equiv="Content-Type" content="text/html; charset=utf-8">

<link href="styles/fondo_text.css" rel="stylesheet" type="text/css">

<script src='scripts/jquery-1.4.1.min.js'></script>

<script src='scripts/alta_formulario.js'></script>

<script src="https://kit.fontawesome.com/d73eb638c2.js" crossorigin="anonymous"></script>

<style type="text/css">

<!--

body {

	background-image: url(images/fondo.jpg);

}

.formulario input[type='submit']{

	border: 1px solid #CED5D7;

	box-shadow:0 0 0 3px #EEF5F7;

	padding: 8px 16px;

	border-radius: 20px;

	font-weight: bold;

	text-shadow: 1px 1px 0px white;

	

	background: #e4f1f6; 

	background: -moz-linear-gradient(top, #e4f1f6 0%, #cfe6ef 100%);

	background: -webkit-linear-gradient(top, #e4f1f6 0%,#cfe6ef 100%); 

}

.formulario input[type='submit']:hover{

	background: #edfcff; 

	background: -moz-linear-gradient(top, #edfcff 0%, #cfe6ef 100%);

	background: -webkit-linear-gradient(top, #edfcff 0%,#cfe6ef 100%); 

}

.formulario input[type='submit']:active{

	background: #cfe6ef; 

	background: -moz-linear-gradient(top, #cfe6ef 0%, #edfcff 100%);

	background: -webkit-linear-gradient(top, #cfe6ef 0%,#edfcff 100%);

}

.error{

	background-color: #BC1010;

	padding: 6px 12px;

	border-radius: 4px;

	color: white;

	font-weight: bold;

	margin-left: 16px;

	margin-top: 6px;

	position: absolute;

}

.error:before{

	content: '';

    border-top: 8px solid transparent;

    border-bottom: 8px solid transparent;

    border-right: 8px solid #BC1010;

    border-left: 8px solid transparent;

    left: -16px;

    position: absolute;

    top: 5px;

}

.boton_enviar{
  font-size: 10pt;
  background-color: #056399;
  padding: 10px;
  color: #FFF;
  letter-spacing: 1px; 
  border-radius: 25px;
  cursor: pointer;
  margin: 15px auto; 
}

.mes {

	background-color: #006699;

	font-style:normal; font-size:14px; color:#FFFFFF;

	width:200px; margin-right:20px; margin-left:10px;

}

.banco {

	background-color: #006699;

	font-style:normal; font-size:14px; color:#FFFFFF;

	width:200px; margin-right:20px; margin-left:10px;

}

.pagoparcial {

  background-color: #006699;

  font-style:normal; font-size:14px; color:#FFFFFF;

  width:200px; margin-right:20px; margin-left:10px;

}
.tipo_pago {

	background-color: #006699;

	font-style:normal; font-size:14px; color:#FFFFFF;

	width:200px; margin-right:20px; margin-left:10px;

}

.anio {

	background-color: #006699;

	font-style:normal; font-size:14px; color:#FFFFFF;

	width:100px; margin-right:20px; margin-left:10px;

}

.comprobante {

	background-color: #006699;

	font-style:normal; font-size:14px; color:#FFFFFF;

	width:70px; margin-right:20px; margin-left:10px;

}

.boton_enviar{
  font-size: 12pt;
  background-color: #056399;
  padding: 10px;
  color: #FFF;
  letter-spacing: 1px; 
  border-radius: 25px;
  cursor: pointer;
  margin: 15px auto; 
}

.boton_regresar{
  font-size: 12pt;
  background-color: #056399;
  padding: 5px;
  color: #FFF;
  letter-spacing: 1px; 
  border-radius: 25px;
  cursor: pointer;
  margin: 15px auto; 
}

.file {

  background-color: #006699;

  font-style:normal; font-size:14px; color:#FFFFFF;

  width:200px; margin-right:20px; margin-left:10px;

}

 .readOnly {color:#808080;}

-->

</style>


<script languaje="text/javascript">

 

  function SeleccionaImagen(){
    var pdrs = document.getElementById('file-upload').files[0].name;
    document.getElementById('nombre_imagen').innerHTML = pdrs;
     document.getElementById('nombre_imagen').value=pdrs;
}


function Evaluacampos(){ 

 if(document.getElementById('comprobante').value==""){

  alert("Falta el Nro de Comprobante");

 }
  
 // aca se verifica que exista un mes 
if(document.getElementById('banco').value<="0"){

   alert("Falta Seleccionar el Banco de Depósito");

 }
  
  if(document.getElementById('total_pago').value==""){

  document.getElementById('total_pago').value=0;

 }else{

  document.getElementById('total_pago').value=number_format(document.getElementById('total_pago').value.replace(",","."), 2); 

 }

 }

 
    function ponerReadOnly(id)
    {
        // Ponemos el atributo de solo lectura
        $("#"+id).attr("readonly","readonly");
        // Ponemos una clase para cambiar el color del texto y mostrar que
        // esta deshabilitado
        $("#"+id).addClass("readOnly");
        alert("aca entro");
    }
 
    function quitarReadOnly(id)
    {
        // Eliminamos el atributo de solo lectura
        $("#"+id).removeAttr("readonly");
        // Eliminamos la clase que hace que cambie el color
        $("#"+id).removeClass("readOnly");
    }
 
    /**
     * Mostramos en un alert si esta el atributo de solo lectura activado
     */
    function estado(id)
    {  
          
        if(document.getElementById('pagoparcial').value=="1"){
          /**alert("quitar"); */
          $("#"+id).removeAttr("readonly");
          $("#"+id).removeClass("fondo_text_140");            
            $("#"+id).addClass("readOnly");
          
           
        }else{  
          /**alert ("poner");*/      
          document.getElementById('total_pago').value =  document.getElementById('importe').value;
           $("#"+id).attr("readonly","readonly");
            $("#"+id).removeClass("readOnly");
            $("#"+id).addClass("fondo_text_140");
            
        }
    }



        
  
 
    

</script>

</head>

<body onLoad="document.formulario.banco.focus();">

<? 

 date_default_timezone_set('America/Argentina/Buenos_Aires');

?> 

<div align="center" style="padding-top:45px"></div>

<div align="center">

<div align="center" style="width:900px; background-color:#FFFFFF;">

<div align="center" style="padding-top:15px"></div>

      <h2 class="texto_azul_24">Carga de Comprobante de Deposito / Transferencia</h2>

      <form name="" method='post' action="registro_pago.php" enctype='multipart/form-data'>                  

	     <table width="890" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">

  	 <tr>

        <td width="182" height="35" align="right" valign="middle" class="texto_azul_14">Empresa:      </td>

          <td width="80" align="left" valign="middle"><input name='id_empresa' type='text' class="fondo_text_70" value="<?php echo $id_empresa;?>" readonly></td>

          <td width="648" align="left" valign="middle"><input name='empresa' type='text' class="fondo_text_320" value="<?php echo $nombre;?>" readonly>

            <span class="texto_azul_14">CUIT:

            <input name='cuit' type='text' class="fondo_text_190" id="cuit" value="<?php echo $usuario;?>" readonly>

            </span></td>

      </tr>
           
        
      
        <td align="right" valign="middle"> <span class="texto_azul_14">Periodo:</span>
          <td colspan="2" align="left" valign="middle">
          <input name='nmes' type='text'  class="fondo_text_320" value="<?php echo $elmes;?>" readonly>
        </td>
      </tr>

        <tr valign="middle">
        <td height="35" align="right" class="texto_azul_14">Total a Pagar:</td>
          <td colspan="2" align="left" valign="middle">
            <input name='importe' type='text'  style="text-align:right;"class="fondo_text_140" id="importe" value="<?php echo $importe;?>"  disabled= "true")>
        </td>
      </tr>

  		<tr valign="middle">
  		  <td height="35" align="right" class="texto_azul_14">Banco:</td>
          <td colspan="2" align="left" valign="middle">
            <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
            <tr align="left">
              <td width="35" height="35" valign="middle">
              
			  		   <SELECT NAME="banco" SIZE=1 class="banco" id="banco" >
							 <OPTION VALUE="0">Seleccione una Opción</OPTION>
							 <OPTION VALUE="1">Banco Nación</OPTION>
							 <OPTION VALUE="3">Banco Macro</OPTION> 
				       </SELECT>
              </td>
            </tr>
          </table>
          </td>

        </tr>         

        
        <tr valign="middle">
        <td height="35" align="right" class="texto_azul_14">Fecha Pago:</td>
          <td colspan="2" align="left" valign="middle">
            <input name='fecha' type='date' class="fondo_text_140" id="fecha" >
        </td>
      </tr>

      <tr valign="middle">
      
        <td height="35" align="right" class="texto_azul_14">Importe Pagado:</td>
          <td colspan="2" align="left" valign="middle">
            <input name='total_pago' type='text'id="total_pago" style="text-align:right;" class="fondo_text_140"  id="total_pago" value="<?php echo $importe;?>" readonly >  

              <span> <SELECT NAME="pagoparcial" SIZE=1 class="pagoparcial" id="pagoparcial" onchange="estado('total_pago')">
               <OPTION VALUE="0">Importe Original</OPTION>
               <OPTION VALUE="1">Otro Importe</OPTION>              
               </SELECT>
            </span></td>    
          </td>
      </tr>
                      
      
      <tr valign="middle">
        <td height="35" align="right" class="texto_azul_14">Nro.Comprobante Depósito:</td>
          <td colspan="2" align="left" valign="middle" >
            <input name='comprobante' type='text' style="text-align:right;" class="fondo_text_140"  id="comprobante" >
        </td>

         </tr>

      <tr valign="middle">
        
          <td height="35" align="right" class="texto_azul_14">Imagen del Comprobante de Deposito:</td>
           <td colspan="2" align="left" valign="middle">
            <input name='nombre_imagen' type='text'id="nombre_imagen" class="fondo_text_180"  id="nombre_imagen"  readonly >  

            <input type="file" id="file-upload" name="file-upload"onchange='SeleccionaImagen()' accept="image/*"  style='display: none;'/>           
              <label for="file-upload" class="boton_enviar">Examinar</label>
             </td>
           </td>                   

           
         </tr>      
                              

          </table></td>

	  </tr>

     
  		<tr valign="middle">
  		  <td height="35" align="right">
          
        </td>
        <td colspan="2" align="left" valign="middle">	
            <input type="hidden" name="hoy" value="<?php echo date("Y-m-d"); ?>" />		 
             <input type="hidden" name="mes" value="<?php echo $mes; ?>" />   
             <input type="hidden" name="tipo_f" value="<?php echo $id_tipo; ?>"/>
             <input type="hidden" name="importe" value="<?php echo $importe; ?>"/>
            <input type="hidden" name="contador" value="<?php echo $contador; ?>"/>            
             <?  
                  for($i=0;$i<$contador;$i++)
                  {
                  
                  ?>
                  <input type="hidden" name="lista[]" value= "<?php echo $CompSel[$i]; ?>" >                
                  <?
                  }
                  ?>         

        </td>

	    </tr>

  		<tr valign="middle">

  		  <td height="35" align="right"></td>

          <td colspan="2" align="left" valign="middle"></td>

	  </tr>

  		<tr valign="middle">

  		  <td height="35" colspan="3" align="right">

      		<table width="100%" height="54" border="0" align="center" cellpadding="0" 
            cellspacing="0" bgcolor="#FFFFFF">

		        <tr align="left">

			        <td width="68%" height="35" align="center" valign="middle" class="texto_bordo_12"> Importante: La imagen del comprobante No puede superar 1Mb de Tamaño
                <br> </br>
                Los tipos de Archivos Permitidos son (.png - .jpg -.gif )
                <br> </br>
				ACLARACION: Si onforma un pago Distinto al total del comprobante, debe Informar via Correo Electronico  a entro@cecposadas.com.ar
				
			      			

			         <td width="32%" align="center" valign="middle">             
                <input type="image"  name="enviarform" onclick = "Buscar(this)" src="images/enviar-formulario.png" width="180" height="38" />                  
                    <br> </br>
                    <a href="consulta2.php" target="_self"><img src="images/regresar2.png" width="180"  height="38" border="0"></a>
                     <br> </br>
                </td>
				    </tr>

			     </table>

          </td>

	    </tr>

	</table>

</form>

</div>

</div>	

</body>

</html>


<script type="text/javascript"> 
    function Buscar(opcion){
       
      $.ajax({
         
        success: function(resultado) {

            if (document.getElementById('importe').value != document.getElementById('total_pago').value){
               var elije = !confirm("El Importe Informado es Distinto al Total Desea Continuar? ")
               if (elije == true){               
                location.reload(true); 
               } 
            }
          }
        })      
        
    }
</script>


